function [VehicleLoadXaxis, VehicleLoad, SoCmaxTimeRecoreder]= FuncVehicleCharging(FileName,Column,BatteryCapacity,ChargingPower,EffCharger, SOC, StartTime, EndTime)
%%**********Analysis and Recording****************************
EndLimit=2*86400;   % time frame
%%************************************************************
FileName = FileName;
Column=Column;
BatteryCapacity = BatteryCapacity; % [kWh]
SoC_int=SOC;                                   % The intitial battery state of charge
SoC_max= 1;                                    % The maximum battery state of charge
EffBattery=1;                                  % Battery efficiency
EffCharger =EffCharger;                                 % charger effciciency
%%*********Charging Event ************
ChargingStartTime= StartTime;                  % [Sec] the time the vehicle charging starts
ChargingEndTime = EndTime;                     % [Sec] the time that vehicle charging could end
TimeStep = 1;                                  % [Sec] the time sampling is 1 second
SoC=zeros(1,EndLimit);
SoE=zeros(1,EndLimit);
SoC(ChargingStartTime-1)=SoC_int;
TimeIndex=1:1:EndLimit;
TimeTickSoCMax =ChargingStartTime;
for t= ChargingStartTime:TimeStep:ChargingEndTime   
    if SoC(t-1) <= SoC_max
       TimeTickSoCMax = TimeTickSoCMax + 1;
       SoC_instant = (1/BatteryCapacity)*(ChargingPower)*(EffCharger)*(EffBattery)*(TimeStep)/3600;   
       SoC(t)= SoC(t-1) + SoC_instant;
       SoE_instant = (ChargingPower)*(EffCharger)*(EffBattery)*(TimeStep)/3600;   
       SoE(t)= (SoC(t-1)*BatteryCapacity) + SoE_instant;       
    else
        SoCmaxTimeRecoreder= TimeTickSoCMax-1;
    break    
    end
end
SoC(1:ChargingStartTime-1)= SoC_int;
SoC(SoCmaxTimeRecoreder+1:end)= SoC(SoCmaxTimeRecoreder);
%%%%------------Energy-------------------------------------------
SoE(1:ChargingStartTime-1)= SoC_int*BatteryCapacity;
SoE(SoCmaxTimeRecoreder+1:end)= SoE(SoCmaxTimeRecoreder);
%----------------------------------------------------------------
X_SOC=(1/3600*TimeIndex(1:end));
Y_SOC= 100*SoC(1:end);
Y_SOE=SoE(1:end);
Y_Power=(144*10e3)*gradient(SoC(1:end));
%-----------------------------------------------------------------
Y_Power=Y_Power(1:86400)+Y_Power(86401:end);
%***********************Returning results*************************
Y_Power=Y_Power';
VehicleLoad =Y_Power;
VehicleLoadXaxis=X_SOC(1:86400)';
writematrix(Y_Power,FileName,'Sheet',1,'Range',[Column,num2str(2)]);
%-----------------------------------------------------------------